Subject: bug#76955: 30.1; php-ts-mode-php-executable default path may not match remote path

From: Michael Albinus <[email-masked]>
Date: Sun, 16 Mar 2025 09:34:09 +0100

Morgan Willcock <[email-masked]> writes:

Hi,

> That said, I do not claim to be TRAMP expert, I just use it.  A TRAMP
> maintainer is probably better positioned to clarify the preferable way
> to configure paths to executables so they work locally and remotely.

Tramp recommends to use (executable-find "php" 'remote) . This requires
to set a proper PATH on the remote side. Experience tells, that likely,
you will run into further problems if you haven't set the remote (and
local) PATH accordingly.

Users might apply hard-coded values, like "/exotic/path/php" or
"php". This is what connection-local variables are good for.

But a package should offer the proper way of setting.

Best regards, Michael.